module Climatic
  module Logger

    module Wrapper
      def puts_and_logs(*args, logs_as: :info, check_verbose: true)
        if check_verbose
          puts *args if Climatic.config[:verbose]
        else
          puts *args
        end
        self.send logs_as, *args
      end
    end

  end
end